Get folder details with optional file contents.
curl --request GET \
--url https://app.mavera.io/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"object": "folder",
"name": "<string>",
"workspace_id": "<string>",
"file_count": 123,
"is_shared": true,
"is_favorite": true,
"files": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.mavera.io/llms.txt
Use this file to discover all available pages before exploring further.
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Folder ID
Include files in the folder (default true)
Maximum number of files to include (default 50, max 100)
1 <= x <= 100Cursor for file pagination
Folder details
A folder with its file contents
Unique folder identifier
folder Folder name
Workspace ID
Total number of files in the folder
Whether the folder is shared with all workspace members
Whether the folder is in your favorites
Paginated list of files in the folder
Show child attributes
curl --request GET \
--url https://app.mavera.io/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"object": "folder",
"name": "<string>",
"workspace_id": "<string>",
"file_count": 123,
"is_shared": true,
"is_favorite": true,
"files": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}